Subject: [Sip] Encryption in SIP

From: Gokul Krishnan <[email-masked]>
Date: Sat, 6 Dec 2003 03:07:53 -0800 (PST)

Hi All,
 
A query on Encryption in SIP.
 
How is end-to-end encryption achieved in SIP? RFC2543 had headers - Encryption and Response-Key. But in RFC3261 I could only see the mentioning about hop-by-hop encryption using TL/IPSec. Please point to me to the correct portion of RFC in case I am missing something.
 
Thanks
Gokul

---------------------------------
Do you Yahoo!?
New Yahoo! Photos - easier uploading and sharing

---

From: "Peterson, Jon" <[email-masked]>
Date: Mon, 8 Dec 2003 15:03:27 -0500

See RFC3261 Section 23, especially 23.4.1 and 23.4.3.
 
Jon Peterson
NeuStar, Inc.

-----Original Message-----
From: Gokul Krishnan [mailto:[email-masked]]
Sent: Saturday, December 06, 2003 3:08 AM
To: [email-masked]
Subject: [Sip] Encryption in SIP

Hi All,

How is end-to-end encryption achieved in SIP? RFC2543 had headers -
Encryption and Response-Key. But in RFC3261 I could only see the mentioning
about hop-by-hop encryption using TL/IPSec. Please point to me to the
correct portion of RFC in case I am missing something.
 
Thanks
Gokul

   _____  

Do you Yahoo!?
New
<http://pa.yahoo.com/*http://us.rd.yahoo.com/evt=21260/*http://photos.yahoo.
com> Yahoo! Photos - easier uploading and sharing